# QIconEngine Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QIconEngine()

### Constructor Properties

- prototype: The QIconEngine prototype object

### Prototype Object Properties

- QSize actualSize(QSize size, Mode mode, State state)
- void addFile(String fileName, QSize size, Mode mode, State state)
- void addPixmap(QPixmap pixmap, Mode mode, State state)
- void paint(QPainter painter, QRect rect, Mode mode, State state)
- QPixmap pixmap(QSize size, Mode mode, State state)

### Instance Properties

QIconEngine objects have no special properties beyond those inherited from the QIconEngine prototype object.